HDMI sound output not detected / NVIDIA optimus laptop

Bug #1377653 reported by sami on 2014-10-05
110
This bug affects 22 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

not sure if this is an alsa or nvidia/nouveau bug.
HDMI audio output doesn't appear in sound settings output panel.
Audio works well on internal speakers, but it seems there is no way to make it output to hdmi...

The laptop has optimus NVIDIA+Intel.
The behaviour is the same with nouveau or nvidia proprietary driver.

Please let me know if further testing is required

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.13.0-36.63-generic 3.13.11.6
Uname: Linux 3.13.0-36-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: sam 2295 F.... pulseaudio
CurrentDesktop: Unity
CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
Date: Sun Oct 5 17:05:35 2014
InstallationDate: Installed on 2014-04-21 (166 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Title: PCI/internal sound card not detected
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/02/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N56VZ.215
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: N56VZ
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrN56VZ.215:bd11/02/2012:svnASUSTeKCOMPUTERINC.:pnN56VZ:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnN56VZ:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: N56VZ
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

sami (miaousami) wrote :

I have the same N56VZ laptop running 14.04 as well, and can confirm this problem.

According to http://http.download.nvidia.com/XFree86/gpu-hdmi-audio-document/gpu-hdmi-audio.html#_verify_your_card_exists the nVidia card should show an audio device in lspci output if HDMI is connected and enabled. This doesn't happen on my laptop. I am using the proprietary 331 nvidia drivers and nvidia-prime *without* bumblebee. I can plugin an HDMI cable and the display automatically mirrors to the HDMI output, but no nVidia audio device is ever detected with lspci. NOTE: the snd_hda_codec_hdmi module doesn't load when I connect HDMI. Manually modprobing it loads the module but shows a 0 count for 'Used By' and no dmesg output.

# lspci output with HDMI connected and screen mirrored to TV:

00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM76 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GK107M [GeForce GT 650M] (rev a1)
03:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)
04:00.0 Ethernet controller: Qualcomm Atheros AR8161 Gigabit Ethernet (rev 10)

# cat /proc/asound/cards output with HDMI connected:
 0 [PCH ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xf7a00000 irq 44

kirby_33 (kirby-33) wrote :

Hello, I don't know if my message can help somebody, but i have a similar problem with my laptop (MSI GT60 2PE dominator 3K).
I don't have found a solution and I am not able to explain the real problem... However I have a workaround.

My laptop use a dual boot with Ubuntu 14.04 and Windows 8.1 and I have an optimus configuration for my video card (Intel/NVIDIA)

First I will start by explain the procedure to reproduce the bug.
At the begining, I am on linux with my NVIDIA card activated. If I connect an hdmi cable, there is no problem. I just need to select the hdmi audio device with Pulseaudio. However the video and the sound works fine with the hdmi output!

Now I remove the hdmi cable and I shutdown my computer.
I reboot now using Windows 8.1 (without HDMI cable!!)

I reboot again on ubuntu. But now, if I connect again the HDMI cable, the video works but there is no sound.
The audio device is not detected. I can switch on the intel card and come back on the NVIDIA but it the same.
I can reinstall the nvidia driver, reinstall pulseaudio, reboot .... But nothing works!! The hdmi audio device has disapeared!!!

The only one solution is to reboot on windows 8.1. I connect the hdmi cable, I check the sound works (on windows) and I shutdown the computer.

Now if i reboot on linux the audio device is back!!! :)

This is just a workaround, but it is not a solution... :(

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
bcmpinc (bcmpinc) wrote :

I've been running into this problem over and over again and found several different solutions. However, some of them also stopped working after installing updates. There is this solution that I found when using the NVIDIA proprietary drivers: http://askubuntu.com/a/511907/73753. Which involves suspending your laptop, to trick it into powering on the audio chip on your nvidia gpu.

However, I seriously recommend using the nouveau driver nowadays. As it supports the nvidia optimus technology, whereas the proprietary driver does not. Though, the drawback is that the nouveau driver only supports opengl 3.3. See http://nouveau.freedesktop.org/wiki/Optimus/. The difference is that you use `DRI_PRIME=1` instead of `optirun`. And that you use `echo DDIS > /sys/kernel/debug/vgaswitcheroo/switch` instead of `prime-select nvidia` before restarting X11 when you want to use the hdmi output.

With nouveau, my hdmi audio still does not work out of the box. Though, the audio device is listed in lspci -H1 when booted, which saves us half the trouble we had with the NVIDIA driver. The steps I use to get the driver loaded for the audio device are (warning, this might hang your pc, also, if your pc fails to (re)boot, perform a hard-reset by removing the power & battery and waiting 3 or more minutes (1 minute is not sufficient)):
- press ctrl+alt+f1
- login and run `sudo su`
- shut down x11 and the loginscreen, such that the gpu is no longer in use. I could do that by running `runlevel` followed by `init 3`
- 'remove' the gpu: `echo 1 > /sys/bus/pci/devices/0000\:01\:00.0/remove`
- redetect the gpu: `echo 1 > /sys/bus/pci/rescan`
- If everything went right, the driver for the hdmi audio chip should be loaded. Verify this by running `lscpi` and checking if there is a line like "01:00.1 Audio device: NVIDIA Corporation GF116 High Definition Audio Controller (rev a1)".
- switch to the hdmi output: `echo DDIS > /sys/kernel/debug/vgaswitcheroo/switch`
- start the login manager and x11 again: in my case I needed to run `init 5` where 5 was the number reported by `runlevel`.

I obtained the remove & rescan pci trick from https://devtalk.nvidia.com/default/topic/609790/linux/no-hdmi-sound-w-optimus-in-linux/.

sami (miaousami) wrote :

thanks for sharing your tips!
It seems there's a long way before we'll get it work from scratch...

Sagar GV (sagar-writeme) wrote :

I am facing the same issue in Ubuntu 14.04 of audio not working over HDMI on Dell L502x with nVidia GT525M (Optimus), and the workaround suggested by (bcmpinc) above resolves the problem (although the workaround needs to be applied after each reboot).

Raymond (superquad-vortex2) wrote :

Post output of

xrandr --verbose

Did the graphic driver support audio?

Changed in alsa-driver (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for alsa-driver (Ubuntu) because there has been no activity for 60 days.]

Changed in alsa-driver (Ubuntu):
status: Incomplete → Expired
Changed in alsa-driver (Ubuntu):
status: Expired → Confirmed
Rudi Daemen (fludizz) wrote :

I am not sure this is an alsa-specific bug. Looks to be more of an issue with the Nvidia card and the way it handles HDMI audio. This also affects a BTO 15CL76 notebook (I7-6700HQ / GTX1060) set in DISCRETE mode. No HDMI audio device shows up at all. The active nvidia driver (as of writing) is nvidia_367. No bbswitch/bumblebee installed as Hybrid mode is disabled.

Suggestions on the nvidia forum are to shutdown your X environment and then run the following commands as root: https://devtalk.nvidia.com/default/topic/609790/linux/no-hdmi-sound-w-optimus-in-linux/

rmmod nvidia
echo 1 > /sys/bus/pci/devices/0000\:00\:01.0/remove
echo 1 > /sys/bus/pci/rescan

This also had no effects - the Nvidia device comes back online but without the audio device showing up.

Here's the output of lspci -H 1:
fludizz@tongerlo:~$ sudo lspci -H 1
00:00.0 Host bridge: Intel Corporation Sky Lake Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Sky Lake PCIe Controller (x16) (rev 07)
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA Controller [AHCI mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #1 (rev f1)
00:1c.4 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #5 (rev f1)
00:1c.6 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #7 (rev f1)
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #9 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-H LPC Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-H PMC (rev 31)
00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
00:1f.4 SMBus: Intel Corporation Sunrise Point-H SMBus (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation Device 1c60 (rev a1)
6d:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5287 (rev 01)
6d:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
6e:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
6f:00.0 Non-Volatile memory controller: Intel Corporation Device f1a5 (rev 03)

petersaints (petersaints) wrote :

I also have Skylake laptop (ASUS GL502VM) with a GTX 1060 which is always in Discrete mode (I can't use it in hybrid mode at all) and I have the same or similar problem (HDMI video: Ok / HDMI audio: Doesn't work). In my case "lspci -H1" doesn't even list the NVIDIA Audio device.

Any idea of how to fix this?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed

Also affected on an MSI GS43VR 6RE Phantom Pro with an i7 6700HQ, Intel GT 530 iGP + GTX 1060.

On this laptop model, the external monitors' outputs are wired directly to the GTX 1060, including the HDMI audio.

In this case, "lspci -H1" doesn't even list the NVIDIA Audio device either, similar to the one above with the Asus GL502VM.

Steve-a-reno (steve-demeo) wrote :

Have a similar issue with my HP Pavilion DV6 Laptop under both Ubuntu 16.04 and Ubuntu Mate 16.04 using pulse audio.

Video still displays out of HDMI port to TV but Audio hardware device disappears from sound applet (in my case "mate-volume-control-applet").

Curiously the HDMI device is visible at some level to aplay

$ aplay -l

**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: 92HD81B1X5 Analog [92HD81B1X5 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Work-Around (temporarily SOLVES issue ... until the next time)
-----------
I have developed the following work-around (for Mate ... but you can adapt it to standard Ubuntu) that recovers the HDMI sound (perhaps it may help users get by and/or some smart developer to track down the root cause):-

Step 0: Open your terminal ...

Step 1: Kill the (non-detecting) volume control process
$ kill -9 $(ps aux |grep -v 'sudo\|grep' |grep -e "mate-volume-control-applet"| awk {'print $2'})

Step 2: Relaunch the volume-control process
$ sudo mate-volume-control-applet

Step 3: Then at the blinking terminal type
^Z

Step 4: Now complete the manual terminal tty disassociation by typing
$ bg

Step 5: Now when you right click on your "mate-volume-control-applet" go to > Sound Preferences > Hardware Tab > Profile Drop Down ... should now show all the available sound devices including the HDMI output to the TV.

-----------
The volume control applet just seems to forget about the sound hardware, never refreshes nor updates even with the HDMI lead being disconnected and reconnected.

Jan Drabner (thesheeep) wrote :

Just wanted to chime in to report I have the exact same problem (using Ubuntu 16.04), with the same GPU, GTX 1060 (in an MSI Apache Pro).
No matter what I do, I cannot get the HDMI sound device to show up...

One thing that changed things for me is if I restart the PC with the HDMI cable plugged in, I do get the HDMI device - but unfortunately it completely messes up the screens (it somehow thinks the external TV is my main monitor, laptop screen becomes unclickable... it really is a mess).

Could this be connected to the graphics card drivers? I'm using the latest from the Ubuntu packages, 375.

BK (bklima) wrote :

Just confirming the same issue on HP Elitebook 8740W with NV Quadro FX2800. Driver Nvidia 340.

Renne (renne) wrote :

Same issue on Acer Aspire V15 Nitro with Ubuntu 17.04, Nvidia binary driver 375.66 and Nvidia Geforce 1060 mobile + Intel HD Graphics 630. The HDMI is hardwired to the Nvidia GPU and no Nvidia audio device is listed with lspci, aplay -l or in /proc/asound. The Nvidia never shows up, even on boot with HDMI cable plugged in.

Renne (renne) wrote :

Same result with 378.13-0ubuntu0~gpu17.04.3. The Nvidia audio stack is not listed with 'sudo lspci -H1'. A 'echo 1 > /sys/bus/pci/rescan' doesn't help either. It seems the audio-stack of the Nvidia-GPU isn't powered up.

HDMI audio works fine with Win10.

Rudi Daemen (fludizz) wrote :

I have a very useful update on the Skylake/nvidia GTX1060 case where the HDMI Audio device does not show up in lspci. Based on information found on the NVidia Developer forum, I was able to get my HDMI audio device show up in Ubuntu 17.10 as per my posting there:

https://devtalk.nvidia.com/default/topic/1024022/linux/gtx-1060-no-audio-over-hdmi-only-hda-intel-detected-azalia/post/5216905/#5216905

Crossposting the information here so affected people can try this as well:

Create the file "/etc/systemd/system/fix-hdmi-audio.service" as per below:
[Unit]
Description=nVidia HDMI Audio Fixer
Before=systemd-logind.service display-manager.service
After=module-init-tools.service

[Service]
Type=oneshot
ExecStart=/root/fix-hdmi-audio.sh

[Install]
WantedBy=multi-user.target

Create the file "/root/fix-hdmi-audio.sh" as per below (Note, adjust the PCI device paths to the PCI ID of the PCIe Bride and NVidia card):

#!/bin/sh
setpci -s 01:00.0 0x488.l=0x2000000:0x2000000
rmmod nvidia-uvm nvidia-drm nvidia-modeset nvidia
sh -c 'echo 1 > /sys/bus/pci/devices/0000:01:00.0/remove'
sh -c 'echo 1 > /sys/bus/pci/devices/0000:00:01.0/rescan'
modprobe nvidia nvidia-modeset nvidia-drm nvidia-uvm

And then execute the following commands (as root) to make it do this at boot:

chmod +x /root/fix-hdmi-audio.sh
systemctl enable fix-hdmi-audio.service

After each reboot, I now see the HDMI audio device on my laptop:

fludizz@tongerlo:~$ lspci | grep "PCIe Controller\|NVIDIA"
00:01.0 PCI bridge: Intel Corporation Skylake PCIe Controller (x16) (rev 07)
01:00.0 VGA compatible controller: NVIDIA Corporation GP106M [GeForce GTX 1060 Mobile] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GP106 High Definition Audio Controller (rev a1)

fludizz@tongerlo:~$ aplay -l | grep NVidia
card 1: NVidia [HDA NVidia], device 3: HDMI 0 [HDMI 0]
card 1: NVidia [HDA NVidia], device 7: HDMI 1 [HDMI 1]
card 1: NVidia [HDA NVidia], device 8: HDMI 2 [HDMI 2]

WinEunuchs2Unix (ricklee518) wrote :

Confirm this occurs with Dell AW17R3. Skylake i7 6700HQ with HM170 chipset and HD530 internal graphics controlling built in display and external Thunderbolt 3 to display port to HDMI adapter sound works good.

Discrete GPU is GTX 970M and on built-in HDMI port is hard wired to it (Optimus not supported). Here there is no sound and pavucontrol hangs can't even display configuration properly. Additional problem of about 40 pixels underscanning with both Nouveau and nVidia drivers.

Windows 10 works perfectly in all departments except when resuming from an overnight suspend nVidia HDMI might have to be hot-plugged to fix screeching sound.

Added NVMe Samsung Pro 960 M.2 SSD card meaning in Linux kernel hot plugging had to be deactivated due to known bug so solutions recommended above in that area will not work.

Many thanks to previous poster for possible solution which I will hopefully have time to try in a couple weeks.

sami (miaousami) wrote :

I opened this bug report 3 years ago and came to that conclusion: never ever buy a laptop with intel graphics and an nvidia discrete gpu. ever.

For your next laptop try to find a vendor with a linux friendly policy.

Jan Drabner (thesheeep) wrote :

Pest or cholera, really.
This is the first problem I had with Nvidia drivers on linux.
With my previous AMD graphics cards I couldn't even play most games without severe graphics issues.
Not even talking about AMD cards barely receiving specific support from game/engine devs in general in contrast.

AMD sure is more linux friendly, but the quality just isn't there. Yet.

And MESA? It's just much slower than any third party driver, and has less features. No real alternative if you want proper multimedia. Yet...

WinEunuchs2Unix (ricklee518) wrote :

@sami I don't agree. My previous laptop Dell Insprion 17R 7720 SE has nVidia GT650M + Intel HD4000 and works well in Linux because I simply turned off nVidia. The new laptop Dell AW17R3 has the built-in HDMI port hard-wired to the nVidia GTX 970M GPU which requires installing nVidia drivers.

On the previous laptop headphone jack works perfectly. On the new one analog and digital sound is supported and doesn't work out of the box. On the previous laptop HDMI was full pixels with HD4000 driver. On the new one there is about 40 pixels underscan all around.

The bigger problems (which is are technical challenges which I like) are NVMe M.2 SSD setup, Windows Subsystem for Linux (WSL) under Windows 10 (W10) and converting Linux bash scripts on a shared NTFS parition when dual-booting between Ubuntu and W10. Adding hybrid support to said bash scripts with Powershell commands when running under W10. Compound the challenges with installation of VcXsrv and Ubuntu desktops running Linux GUI apps (like Firefox, LibreOffice) on W10.

If I didn't want technical challenges, I'd throw away my laptops and go to the library.

WinEunuchs2Unix (ricklee518) wrote :

I can confirm solution in #19 works. Only caveats:

1) Rename `/root/` occurrences to `/usr/local/bin/`
2) Screens flickers on/off a couple/few times during boot.

My platform has nVidia GTX 970M hardwired to built-in HDMI hooked up to external TV. Intel Skylake HD530 graphics controlling laptop built-in display and USB-C Thunderbolt3 DisplayPort with HDMI adapter to 2nd external TV.

Everything works seamlessly in Windows 10 and I'm glad the patch in #19 gets things one step closer to working in Linux/Ubuntu 16.04.

Rudi Daemen (fludizz) wrote :

@WinEunuchs2Unix
Cool, good to hear this also works for older nVidia cards and on older Ubuntu versions!

Your suggestion to adjust the paths to /usr/local/bin/ is a good one, I had the test script in /root/ and didn't bother to move it yet ;)

The screen flickering - do you notice this as well if you set the laptop to boot discrete mode (ie: nVidia only, IGP disabled)? I did not notice any flickering during boot on my laptop.

WinEunuchs2Unix (ricklee518) wrote :

@Rudi

My BIOS doesn't have options for controlling nVidia GPU and Intel iGPU.

When I bought this laptop I thought I would be using Intel iGPU only and was shocked to learn there was no HDMI screen until nVidia drivers were installed. It took me about a month to figure that out. Then a couple of days with this sound issue that you solved. Thanks again! I'm not sure how to have nVidia take control of built-in display and Thuderbolt3 display which "I think" Intel iGPU is controlling now.

The screen flickering during boot (and the extra couple of seconds too) is not a big deal for me. Now I'm more concerned about the 20-40 pixel underscan nVidia GTX970M pumps out over Linux that doesn't happen in Windows 10. Also the soft to loud fluctuating sound levels when ThunderBolt3 HDMI sound is used to second TV (haven't checked that in Windows 10 yet which if same means its the adapter). Then I have dozens of bash scripts to upgrade to Windows Subsystem of Linux which requires PowerShell instead of linux kernel commands. Also `gedit` and `nautilus` need "tweaking" when running under xfce4, VcXsrv, WSL and Windows 10, etc., etc.

So yeah... plate is kind of full. I've already saved 10 seconds in BIOS POST reconfiguring so I'll live with extra 2 seconds of Ubuntu post-grub boot screen flickering...

Pete (superpete-5) wrote :

I can confirm that #19 works, as well. Also applied the suggestions in #24.
Ubuntu 17.10 on a Lenovo Ideapad Y910-17ISK with a GTX 1070.
I don't notice any flicker or any problem. The audio device has just appeared, and everything works fine now :-)
Thanks a lot!!

Guillaume Doisy (doisyg) wrote :

Same!
#19 with #24 works!
Ubuntu 16.04
ASUS - ROG G502VS laptop
nvidia 1070 / driver 390.25
Intel(R) Core(TM) i7-6700HQ CPU
Thanks a lot!

Jan Drabner (thesheeep) wrote :

Just chiming in to say that, yes, #19 (with or without #24) works for me, too.

What I don't get is why this is isn't officially fixed, yet.
The solution is pretty clear by now.
What/who is the bottleneck here?

Rudi Daemen (fludizz) wrote :

This bug needs to be moved from the alsa-driver/pulseaudio thread and moved to either nouveau or nvidia packages.

The issue why this is not fixed as far as I can figure out is because the address modified with the setpci command is not documented by nvidia and thus cannot be added to the official drivers. You do not want to have any dirty hacks that are based on rumours/forum-posts only in production-level drivers.

as a side note: #19+#24 is still needed on ubuntu 18.04 for the audio device to show up.

WinEunuchs2Unix (ricklee518) wrote :

My 2 cents worth is this is a common hardware problem where newer Laptops have GPU HDMI sound turned off as a default. I think a grub kernel boot parameter could be set to force `setpci` to be run at appropriate memory location.

Therefore the Linux Kernel team could be responsible for the bug fix. However, the nVidia folks might be responsible for submitting the fix to the Linux Kernel Team.

As a side note, I've stopped using the nVidia card in Linux for the last six months. Since I'm only using the Intel iGPU Skylake GT 530 graphics, I'm happy the nVidia GTX 970M HDMI sound is turned off and not generating heat.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers